
_main:

;usbpic.c,10 :: 		void main(void){
;usbpic.c,11 :: 		ADCON1 |= 0x0F;                         // Configure all ports with analog function as digital
	MOVLW       15
	IORWF       ADCON1+0, 1 
;usbpic.c,12 :: 		CMCON  |= 7;                            // Disable comparators
	MOVLW       7
	IORWF       CMCON+0, 1 
;usbpic.c,13 :: 		trisa=0x00;
	CLRF        TRISA+0 
;usbpic.c,14 :: 		porta=0x00;
	CLRF        PORTA+0 
;usbpic.c,15 :: 		HID_Enable(&readbuff,&writebuff);       // Enable HID communication
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;usbpic.c,17 :: 		while(1){                               // USB servicing is done inside the while loop
L_main0:
;usbpic.c,18 :: 		USB_Polling_Proc();                   // Call this routine periodically
	CALL        _USB_Polling_Proc+0, 0
;usbpic.c,19 :: 		for(cnt1=0;cnt1<64;cnt1++)
	CLRF        _cnt1+0 
	CLRF        _cnt1+1 
L_main2:
	MOVLW       128
	XORWF       _cnt1+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main11
	MOVLW       64
	SUBWF       _cnt1+0, 0 
L__main11:
	BTFSC       STATUS+0, 0 
	GOTO        L_main3
;usbpic.c,20 :: 		writebuff[cnt1]=0;
	MOVLW       _writebuff+0
	ADDWF       _cnt1+0, 0 
	MOVWF       FSR1L 
	MOVLW       hi_addr(_writebuff+0)
	ADDWFC      _cnt1+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;usbpic.c,19 :: 		for(cnt1=0;cnt1<64;cnt1++)
	INFSNZ      _cnt1+0, 1 
	INCF        _cnt1+1, 1 
;usbpic.c,20 :: 		writebuff[cnt1]=0;
	GOTO        L_main2
L_main3:
;usbpic.c,21 :: 		kk = HID_Read();
	CALL        _HID_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _kk+0 
;usbpic.c,22 :: 		if(kk != 0){
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main5
;usbpic.c,23 :: 		if(readbuff[0]=='0')
	MOVF        1280, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L_main6
;usbpic.c,25 :: 		porta.RA0=1;
	BSF         PORTA+0, 0 
;usbpic.c,26 :: 		delay_ms(1000);
	MOVLW       61
	MOVWF       R11, 0
	MOVLW       225
	MOVWF       R12, 0
	MOVLW       63
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 1
	BRA         L_main7
	DECFSZ      R12, 1, 1
	BRA         L_main7
	DECFSZ      R11, 1, 1
	BRA         L_main7
	NOP
	NOP
;usbpic.c,27 :: 		porta.RA0=0;}
	BCF         PORTA+0, 0 
L_main6:
;usbpic.c,28 :: 		for(cnt=0;cnt<kk;cnt++)
	CLRF        _cnt+0 
L_main8:
	MOVF        _kk+0, 0 
	SUBWF       _cnt+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main9
;usbpic.c,29 :: 		writebuff[cnt]=readbuff[cnt];
	MOVLW       _writebuff+0
	MOVWF       FSR1L 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FSR1H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR1L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _readbuff+0
	MOVWF       FSR0L 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FSR0H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR0L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;usbpic.c,28 :: 		for(cnt=0;cnt<kk;cnt++)
	INCF        _cnt+0, 1 
;usbpic.c,29 :: 		writebuff[cnt]=readbuff[cnt];
	GOTO        L_main8
L_main9:
;usbpic.c,30 :: 		HID_Write(&writebuff,kk);
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVF        _kk+0, 0 
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
;usbpic.c,31 :: 		}
L_main5:
;usbpic.c,33 :: 		}
	GOTO        L_main0
;usbpic.c,34 :: 		}
	GOTO        $+0
; end of _main
